--BF 20013838.30

delete
from    customerspecialchargeprice cscp
where   not exists (
        select  1
        from    customerspecialcharge
        where   customer_id = cscp.customer_id
        and     specialcharge_id = cscp.specialcharge_id);
commit;